package com.trade.common.utils.uuid;

/**
 * ID生成器工具类
 */
public class IdUtils {

    /**
     * 获取随机UUID
     * 
     * @return 随机UUID
     */
    public static String randomUUID() {
        return Uuid.randomUUID().toString();
    }

    /**
     * 简化的UUID，去掉了横线
     * 
     * @return 简化的UUID，去掉了横线
     */
    public static String simpleUUID() {
        return Uuid.randomUUID().toString(true);
    }

    /**
     * 获取随机UUID，使用性能更好的ThreadLocalRandom生成UUID
     * 
     * @return 随机UUID
     */
    public static String fastUUID() {
        return Uuid.fastUUID().toString();
    }

    /**
     * 简化的UUID，去掉了横线，使用性能更好的ThreadLocalRandom生成UUID
     * 
     * @return 简化的UUID，去掉了横线
     */
    public static String fastSimpleUUID() {
        return Uuid.fastUUID().toString(true);
    }
}
